Bug 80569 - FILEOPEN: 4.4 Regression .docx chart not rendered properly
Summary: FILEOPEN: 4.4 Regression .docx chart not rendered properly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: high major
Assignee: Heena Gupta
URL:
Whiteboard: target:4.4.0
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2014-06-26 18:50 UTC by Luke
Modified: 2015-12-17 08:24 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample file showing issue with charts in 4.4 (19.84 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-06-26 18:50 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2014-06-26 18:50:16 UTC
Created attachment 101822 [details]
Sample file showing issue with charts in 4.4

This bug was observed in LibreOffice v4.4 running in windows 7 and Linux. Some .docx charts are not importing properly in the latest 4.4 Alpha.

Steps to reproduce the bug:
1. Open attached Demo-Hayden-Management-v2-chart.docx document in LO 4.2-4.3
2. Open attached Demo-Hayden-Management-v2-chart.docx document in LO Writer 4.4
3. Compare the documents. 

Note in the latest 4.4 the chart is missing with only the title showing. This chart was stripped out of Attachment 83023 [details]

Tests:

Version: 4.4.0.0.alpha0+
Build ID: ef8293485adbf6554569ca37b8c1bf8cce955842
TinderBox: Win-x86@42, Branch:master, Time: 2014-06-02_07:59:23
Result: Pass


Version: 4.4.0.0.alpha0+
Build ID: a532e2bba1a2400925e5930d20ab6fd573171085
TinderBox: Win-x86@39, Branch:master, Time: 2014-06-26_00:23:42
Result: FAIL
Comment 1 Yousuf Philips (jay) (retired) 2014-06-29 03:16:58 UTC
It fails in my version as well but not in 4.3.0.1.

Version: 4.4.0.0.alpha0+
Build ID: e62764108a1832e746f68768c29eaa90606903a7
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-06-20_22:05:17
Comment 2 Luke 2014-06-30 19:47:52 UTC
I've done some testing and narrowed the introduction of this bug to between 6-17 and 6-18.


Version: 4.4.0.0.alpha0+
Build ID: 3e82897353e576dc6e3fbf55371fda5a0c3415df
TinderBox: Win-x86@39, Branch:master, Time: 2014-06-17_08:55:34
Result: Pass


Version: 4.4.0.0.alpha0+
Build ID: 836454d0c1a490066f12cbe6327422ffb1065426
TinderBox: Win-x86@39, Branch:master, Time: 2014-06-18_05:57:47
Result: FAIL
Comment 3 Joel Madero 2014-07-08 16:54:12 UTC
@Markus - one for you?
Comment 4 Michael Stahl (CIB) 2014-07-10 21:20:09 UTC
comment #2 is very useful!

regression from:

commit 53b9adc135f4abb086c740582e5f85cea710287d
Author:     Heena Gupta <rush2hina@gmail.com>
AuthorDate: Tue Jun 17 14:16:13 2014 +0530
Commit:     Muthu Subramanian K <muthusuba@gmail.com>
CommitDate: Tue Jun 17 13:27:44 2014 +0000

    fdo#54361 - FILEOPEN: Chart background in XLSX is transparent instead of white
Comment 5 Heena Gupta 2014-07-11 04:45:59 UTC
I am looking in to this issue.
Comment 6 Commit Notification 2014-07-15 15:48:14 UTC
Heena Gupta committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6d3269ad94bbad8abae5703edc86d8888356bf14

fdo#80569:FILEOPEN:4.4 Regression .docx chart not rendered properly



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Luke 2014-07-15 20:22:31 UTC
Verified Fixed in Ubuntu 14.04 with LO
Version: 4.4.0.0.alpha0+
Build ID: fc3eb493ac9e8dec35060524db4dc8ca3210631a

Nice job Heena! Thanks for your quick response on this issue.
Comment 8 Robinson Tryon (qubit) 2015-12-17 08:24:34 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]